Bug 139775 - update databases/squirrel-sql to 3.0.2
Summary: update databases/squirrel-sql to 3.0.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-19 22:20 UTC by Jonathan Chen
Modified: 2009-11-02 21:20 UTC (History)
0 users

See Also:


Attachments
file.diff (13.06 KB, patch)
2009-10-19 22:20 UTC, Jonathan Chen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Chen 2009-10-19 22:20:05 UTC
Update port version to 3.0.2
Comment 1 Martin Wilke freebsd_committer 2009-10-29 09:21:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2009-10-30 10:55:59 UTC
State Changed
From-To: open->feedback

fails to fetch: 

http://32bit.miwibox.org/index.php?action=describe_port&id=2340 
http://64bit.miwibox.org/index.php?action=describe_port&id=2350
Comment 3 Jonathan Chen 2009-10-30 17:56:56 UTC
Please try updated patch
-- 
Jonathan Chen <jonc@chen.org.nz>
----------------------------------------------------------------------
"With sufficient thrust, pigs fly just fine. However, this is not necessarily
a good idea. It is hard to be sure where they are going to land, and it
could be dangerous sitting under them as they fly overhead." -- RFC 1925


diff -ruN /usr/ports/databases/squirrel-sql/Makefile ./Makefile
--- /usr/ports/databases/squirrel-sql/Makefile	2009-08-22 14:53:58.000000000 +1200
+++ ./Makefile	2009-10-31 06:51:34.000000000 +1300
@@ -5,13 +5,11 @@
 # $FreeBSD: ports/databases/squirrel-sql/Makefile,v 1.12 2009/08/22 00:17:38 amdmi3 Exp $
 #
 
-PORTNAME=	squirrel
-PORTVERSION=	2.6.4
-PORTREVISION=	1
+PORTNAME=	squirrel-sql
+PORTVERSION=	3.0.2
 CATEGORIES=	databases java
-MASTER_SITES=	SF/${PORTNAME}-sql/1-stable/2.6%20plain%20zip
-PKGNAMESUFFIX=	-sql
-DISTNAME=	squirrel-sql-2.6-standard
+MASTER_SITES=	SF/${PORTNAME}/1-stable/${PORTVERSION}%20(plain%20zip)
+DISTNAME=	${PORTNAME}-${PORTVERSION}-standard
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	A universal SQL Client
@@ -20,26 +18,26 @@
 USE_JAVA=	yes
 JAVA_VERSION=	1.5+
 WRKSRC=		${WRKDIR}/SQuirreL SQL Client
-DSTDIR=		${JAVASHAREDIR}/${PORTNAME}${PKGNAMESUFFIX}
 
 SUB_FILES=	squirrel-sql
 PKGMESSAGE=	pkg-messages
 
+PORTDATA=	*
+DATADIR=	${PREFIX}/share/java/${UNIQUENAME}
+
 DESKTOP_ENTRIES="Squirrel-SQL Client" \
 		"${COMMENT}" \
-		"${DSTDIR}/icons/acorn.png" \
+		"${DATADIR}/icons/acorn.png" \
 		"squirrel-sql" \
 		"Application;" \
 		false
 
 post-extract:
-	${RM} -rf "${WRKSRC}"/Uninstaller
-	${RM} -rf "${WRKSRC}"/*.bat
-	${RM} -rf "${WRKSRC}"/*.sh
+	cd "${WRKSRC}" && ${RM} -rf Uninstaller *.bat *.sh .installationinformation
 
 do-install:
-	cd "${WRKSRC}" && ${FIND} . -type d -exec ${MKDIR} ${DSTDIR}/{} \;
-	cd "${WRKSRC}" && ${FIND} . -type f -not -path "\./bin/" -exec ${INSTALL_DATA} {} ${DSTDIR}/{} \;
+	${MKDIR} ${DATADIR}
+	cd "${WRKSRC}" && ${FIND} . | ${CPIO} -pdum -R root:wheel ${DATADIR}
 	${INSTALL_SCRIPT} ${WRKDIR}/squirrel-sql ${PREFIX}/bin
 	@${CAT} ${PKGMESSAGE} 
 
diff -ruN /usr/ports/databases/squirrel-sql/distinfo ./distinfo
--- /usr/ports/databases/squirrel-sql/distinfo	2008-02-28 17:29:49.000000000 +1300
+++ ./distinfo	2009-10-31 06:51:17.000000000 +1300
@@ -1,3 +1,3 @@
-MD5 (squirrel-sql-2.6-standard.tar.gz) = 47355086defaaa90c5664f8cab182ba1
-SHA256 (squirrel-sql-2.6-standard.tar.gz) = e69ced3b67c9cf221d82ca9f64d2144a6593d7f4be134633dabd5e1b1f61b434
-SIZE (squirrel-sql-2.6-standard.tar.gz) = 15892069
+MD5 (squirrel-sql-3.0.2-standard.tar.gz) = 5ef5972b9a92dd6bca4913a5df81b653
+SHA256 (squirrel-sql-3.0.2-standard.tar.gz) = 470cb73b32b72fe1bd153ffd80e704d7a2a48764f5d17ded28fc848d35ce7e5a
+SIZE (squirrel-sql-3.0.2-standard.tar.gz) = 18860192
diff -ruN /usr/ports/databases/squirrel-sql/pkg-plist ./pkg-plist
--- /usr/ports/databases/squirrel-sql/pkg-plist	2008-02-28 17:29:49.000000000 +1300
+++ ./pkg-plist	2009-10-31 06:51:17.000000000 +1300
@@ -1,199 +1 @@
 bin/squirrel-sql
-share/applications/squirrel-sql.desktop
-share/java/squirrel-sql/doc/changes.txt
-share/java/squirrel-sql/doc/faq.html
-share/java/squirrel-sql/doc/images/add_alias_1.png
-share/java/squirrel-sql/doc/images/alias_properties.png
-share/java/squirrel-sql/doc/images/alias_properties_button.png
-share/java/squirrel-sql/doc/images/alias_properties_dialog.png
-share/java/squirrel-sql/doc/images/aliases_tool_window_1.png
-share/java/squirrel-sql/doc/images/chg_driver_1.png
-share/java/squirrel-sql/doc/images/chg_driver_2.png
-share/java/squirrel-sql/doc/images/connect_window.png
-share/java/squirrel-sql/doc/images/createresultwindow.gif
-share/java/squirrel-sql/doc/images/drivers_tool_window_1.png
-share/java/squirrel-sql/doc/images/error_st_obj.gif
-share/java/squirrel-sql/doc/images/fonts_menus_demo.png
-share/java/squirrel-sql/doc/images/fonts_other_demo.png
-share/java/squirrel-sql/doc/images/fonts_static_text_demo.png
-share/java/squirrel-sql/doc/images/fonts_status_bar_demo.png
-share/java/squirrel-sql/doc/images/global_bookmarks.png
-share/java/squirrel-sql/doc/images/global_data_types_part1.png
-share/java/squirrel-sql/doc/images/global_data_types_part2.png
-share/java/squirrel-sql/doc/images/global_fonts.png
-share/java/squirrel-sql/doc/images/global_general.png
-share/java/squirrel-sql/doc/images/global_laf.png
-share/java/squirrel-sql/doc/images/global_proxy.png
-share/java/squirrel-sql/doc/images/global_sql.png
-share/java/squirrel-sql/doc/images/global_sqlscripts.png
-share/java/squirrel-sql/doc/images/history_arrow.png
-share/java/squirrel-sql/doc/images/history_dialog_icon.png
-share/java/squirrel-sql/doc/images/logo.jpg
-share/java/squirrel-sql/doc/images/logo_1.jpg
-share/java/squirrel-sql/doc/images/ok_st_obj.gif
-share/java/squirrel-sql/doc/images/plugins_1.png
-share/java/squirrel-sql/doc/images/scrollable_tabs.png
-share/java/squirrel-sql/doc/images/session_1.png
-share/java/squirrel-sql/doc/images/session_2.png
-share/java/squirrel-sql/doc/images/session_props_general.png
-share/java/squirrel-sql/doc/images/session_props_objecttree.png
-share/java/squirrel-sql/doc/images/session_props_sql.png
-share/java/squirrel-sql/doc/images/sql_1.png
-share/java/squirrel-sql/doc/images/sql_2.png
-share/java/squirrel-sql/doc/images/sql_history_dialog.png
-share/java/squirrel-sql/doc/images/sql_history_list.png
-share/java/squirrel-sql/doc/images/stacked_tabs.png
-share/java/squirrel-sql/doc/images/toolspopup.jpg
-share/java/squirrel-sql/doc/licences/dean_jones_icons_licence.txt
-share/java/squirrel-sql/doc/licences/eclipse-icons-licence.html
-share/java/squirrel-sql/doc/licences/eclipse-icons-licence.txt
-share/java/squirrel-sql/doc/licences/log4j-licence.txt
-share/java/squirrel-sql/doc/licences/nano_xml_licence.txt
-share/java/squirrel-sql/doc/licences/squirrel_licence.txt
-share/java/squirrel-sql/doc/licences/sun_icons_licence.txt
-share/java/squirrel-sql/doc/news.txt
-share/java/squirrel-sql/doc/plugins.html
-share/java/squirrel-sql/doc/quick_start.html
-share/java/squirrel-sql/doc/readme.html
-share/java/squirrel-sql/doc/readme.txt
-share/java/squirrel-sql/doc/style.css
-share/java/squirrel-sql/doc/welcome.html
-share/java/squirrel-sql/icons/acorn.ico
-share/java/squirrel-sql/icons/acorn.png
-share/java/squirrel-sql/icons/acorn.xpm
-share/java/squirrel-sql/lib/antlr-2.7.5H3.jar
-share/java/squirrel-sql/lib/cglib-2.1.3.jar
-share/java/squirrel-sql/lib/commons-cli.jar
-share/java/squirrel-sql/lib/commons-collections-2.1.1.jar
-share/java/squirrel-sql/lib/commons-logging-1.0.4.jar
-share/java/squirrel-sql/lib/dom4j-1.6.1.jar
-share/java/squirrel-sql/lib/ejb3-persistence.jar
-share/java/squirrel-sql/lib/forms.jar
-share/java/squirrel-sql/lib/fw.jar
-share/java/squirrel-sql/lib/hibernate-annotations-3.3.0.jar
-share/java/squirrel-sql/lib/hibernate-commons-annotations-3.3.0.jar
-share/java/squirrel-sql/lib/hibernate-entitymanager-3.3.1.jar
-share/java/squirrel-sql/lib/hibernate3.2.4.sp1.jar
-share/java/squirrel-sql/lib/jxl.jar
-share/java/squirrel-sql/lib/log4j.jar
-share/java/squirrel-sql/lib/nanoxml-2.1.jar
-share/java/squirrel-sql/lib/openide-loaders.jar
-share/java/squirrel-sql/lib/openide.jar
-share/java/squirrel-sql/lib/org-netbeans-modules-editor-fold.jar
-share/java/squirrel-sql/lib/org-netbeans-modules-editor-lib.jar
-share/java/squirrel-sql/lib/org-netbeans-modules-editor-util.jar
-share/java/squirrel-sql/lib/org-netbeans-modules-editor.jar
-share/java/squirrel-sql/lib/syntax.jar
-share/java/squirrel-sql/log4j.properties
-share/java/squirrel-sql/plugins/codecompletion.jar
-share/java/squirrel-sql/plugins/codecompletion/changes.txt
-share/java/squirrel-sql/plugins/codecompletion/completionpopup.jpg
-share/java/squirrel-sql/plugins/codecompletion/graph.jpg
-share/java/squirrel-sql/plugins/codecompletion/licence.txt
-share/java/squirrel-sql/plugins/codecompletion/readme.html
-share/java/squirrel-sql/plugins/codecompletion/readme.txt
-share/java/squirrel-sql/plugins/codecompletion/src.jar
-share/java/squirrel-sql/plugins/editextras.jar
-share/java/squirrel-sql/plugins/editextras/changes.txt
-share/java/squirrel-sql/plugins/editextras/licence.txt
-share/java/squirrel-sql/plugins/editextras/readme.html
-share/java/squirrel-sql/plugins/editextras/readme.txt
-share/java/squirrel-sql/plugins/editextras/src.jar
-share/java/squirrel-sql/plugins/editextras/toolspopup.jpg
-share/java/squirrel-sql/plugins/graph.jar
-share/java/squirrel-sql/plugins/graph/changes.txt
-share/java/squirrel-sql/plugins/graph/graph.jpg
-share/java/squirrel-sql/plugins/graph/licence.txt
-share/java/squirrel-sql/plugins/graph/readme.html
-share/java/squirrel-sql/plugins/graph/readme.txt
-share/java/squirrel-sql/plugins/graph/src.jar
-share/java/squirrel-sql/plugins/graph/zoomprint.jpg
-share/java/squirrel-sql/plugins/laf.jar
-share/java/squirrel-sql/plugins/laf/OYOAHA-licence.html
-share/java/squirrel-sql/plugins/laf/changes.txt
-share/java/squirrel-sql/plugins/laf/infonode-licence.txt
-share/java/squirrel-sql/plugins/laf/jgoodies-looks-licence.txt
-share/java/squirrel-sql/plugins/laf/kunststoff_Licence.txt
-share/java/squirrel-sql/plugins/laf/laf-plugin-licence.txt
-share/java/squirrel-sql/plugins/laf/lafs/ilf-gpl.jar
-share/java/squirrel-sql/plugins/laf/lafs/kunststoff.jar
-share/java/squirrel-sql/plugins/laf/lafs/looks.jar
-share/java/squirrel-sql/plugins/laf/lafs/metouia.jar
-share/java/squirrel-sql/plugins/laf/lafs/napkinlaf.jar
-share/java/squirrel-sql/plugins/laf/lafs/nimrodlf.jar
-share/java/squirrel-sql/plugins/laf/lafs/oalnf.jar
-share/java/squirrel-sql/plugins/laf/lafs/readme.txt
-share/java/squirrel-sql/plugins/laf/lafs/skinlf.jar
-share/java/squirrel-sql/plugins/laf/lafs/substance.jar
-share/java/squirrel-sql/plugins/laf/lafs/swingsetthemes.jar
-share/java/squirrel-sql/plugins/laf/lafs/tinylaf.jar
-share/java/squirrel-sql/plugins/laf/lafs/toniclf.jar
-share/java/squirrel-sql/plugins/laf/licences.html
-share/java/squirrel-sql/plugins/laf/metouia-licence.txt
-share/java/squirrel-sql/plugins/laf/napkin-licence.html
-share/java/squirrel-sql/plugins/laf/nimrod-licence.txt
-share/java/squirrel-sql/plugins/laf/oyoaha-theme-packs/gradient.otm
-share/java/squirrel-sql/plugins/laf/oyoaha-theme-packs/readme.txt
-share/java/squirrel-sql/plugins/laf/readme.html
-share/java/squirrel-sql/plugins/laf/readme.txt
-share/java/squirrel-sql/plugins/laf/skin_look_and_feel_licence.txt
-share/java/squirrel-sql/plugins/laf/skinlf-theme-packs/BeOSthemepack.zip
-share/java/squirrel-sql/plugins/laf/skinlf-theme-packs/aquathemepack.zip
-share/java/squirrel-sql/plugins/laf/skinlf-theme-packs/cellshadedthemepack.zip
-share/java/squirrel-sql/plugins/laf/skinlf-theme-packs/fatalEthemepack.zip
-share/java/squirrel-sql/plugins/laf/skinlf-theme-packs/macosthemepack.zip
-share/java/squirrel-sql/plugins/laf/skinlf-theme-packs/modernthemepack.zip
-share/java/squirrel-sql/plugins/laf/skinlf-theme-packs/quickSilverRthemepack.zip
-share/java/squirrel-sql/plugins/laf/skinlf-theme-packs/readme.txt
-share/java/squirrel-sql/plugins/laf/skinlf-theme-packs/tigerGraphitethemepack.zip
-share/java/squirrel-sql/plugins/laf/skinlf-theme-packs/toxicthemepack.zip
-share/java/squirrel-sql/plugins/laf/skinlf-theme-packs/whistlerthemepack.zip
-share/java/squirrel-sql/plugins/laf/src.jar
-share/java/squirrel-sql/plugins/laf/tinylaf-license.txt
-share/java/squirrel-sql/plugins/laf/tonic-licence.txt
-share/java/squirrel-sql/plugins/readme.txt
-share/java/squirrel-sql/plugins/sqlbookmark.jar
-share/java/squirrel-sql/plugins/sqlbookmark/bookmarkspopup.jpg
-share/java/squirrel-sql/plugins/sqlbookmark/changes.txt
-share/java/squirrel-sql/plugins/sqlbookmark/licence.txt
-share/java/squirrel-sql/plugins/sqlbookmark/prefs.jpg
-share/java/squirrel-sql/plugins/sqlbookmark/readme.html
-share/java/squirrel-sql/plugins/sqlbookmark/src.jar
-share/java/squirrel-sql/plugins/sqlbookmark/toolspopup.jpg
-share/java/squirrel-sql/plugins/sqlscript.jar
-share/java/squirrel-sql/plugins/sqlscript/changes.txt
-share/java/squirrel-sql/plugins/sqlscript/creattable.jpg
-share/java/squirrel-sql/plugins/sqlscript/licence.txt
-share/java/squirrel-sql/plugins/sqlscript/readme.html
-share/java/squirrel-sql/plugins/sqlscript/readme.txt
-share/java/squirrel-sql/plugins/sqlscript/src.jar
-share/java/squirrel-sql/plugins/sqlscript/toolspopup.jpg
-share/java/squirrel-sql/plugins/syntax.jar
-share/java/squirrel-sql/plugins/syntax/changes.txt
-share/java/squirrel-sql/plugins/syntax/configdlg.jpg
-share/java/squirrel-sql/plugins/syntax/corrabrev.jpg
-share/java/squirrel-sql/plugins/syntax/licence.txt
-share/java/squirrel-sql/plugins/syntax/readme.html
-share/java/squirrel-sql/plugins/syntax/src.jar
-share/java/squirrel-sql/plugins/syntax/standard-nbm-license.txt
-share/java/squirrel-sql/plugins/syntax/toolspopup.jpg
-share/java/squirrel-sql/squirrel-sql.jar
-@dirrm share/java/squirrel-sql/plugins/syntax/lib
-@dirrm share/java/squirrel-sql/plugins/syntax
-@dirrm share/java/squirrel-sql/plugins/sqlscript
-@dirrm share/java/squirrel-sql/plugins/sqlbookmark
-@dirrm share/java/squirrel-sql/plugins/laf/skinlf-theme-packs
-@dirrm share/java/squirrel-sql/plugins/laf/oyoaha-theme-packs
-@dirrm share/java/squirrel-sql/plugins/laf/lafs
-@dirrm share/java/squirrel-sql/plugins/laf
-@dirrm share/java/squirrel-sql/plugins/graph
-@dirrm share/java/squirrel-sql/plugins/editextras
-@dirrm share/java/squirrel-sql/plugins/codecompletion
-@dirrm share/java/squirrel-sql/plugins
-@dirrm share/java/squirrel-sql/lib
-@dirrm share/java/squirrel-sql/icons
-@dirrm share/java/squirrel-sql/doc/licences
-@dirrm share/java/squirrel-sql/doc/images
-@dirrm share/java/squirrel-sql/doc
-@dirrm share/java/squirrel-sql
-@dirrmtry share/applications
Comment 4 dfilter service freebsd_committer 2009-11-02 21:15:59 UTC
miwi        2009-11-02 21:15:51 UTC

  FreeBSD ports repository

  Modified files:
    databases/squirrel-sql Makefile distinfo pkg-plist 
  Log:
  - Update to 3.0.2
  
  PR:             139775
  Submitted by:   Jonathan Chen <jonc@chen.org.nz> (maintainer)
  
  Revision  Changes    Path
  1.13      +11 -13    ports/databases/squirrel-sql/Makefile
  1.8       +3 -3      ports/databases/squirrel-sql/distinfo
  1.9       +0 -198    ports/databases/squirrel-sql/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Martin Wilke freebsd_committer 2009-11-02 21:16:01 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!